summaryrefslogtreecommitdiffstats
path: root/system/fusesmb
diff options
context:
space:
mode:
author Murat D. Kadirov2010-05-13 00:40:22 +0200
committer David Somero2010-05-13 00:40:22 +0200
commit662832272c41227748e4e408bbea1bf56f57a35c (patch)
tree714438ad2243b208e93c8e08cdbe17f77153fe98 /system/fusesmb
parent88dad904beae7f8a4c32377fea8b26e76e6deeb2 (diff)
downloadslackbuilds-662832272c41227748e4e408bbea1bf56f57a35c.tar.gz
system/fusesmb: Updated for version 0.8.7
Diffstat (limited to 'system/fusesmb')
-rw-r--r--system/fusesmb/fusesmb.SlackBuild41
-rw-r--r--system/fusesmb/fusesmb.info4
-rw-r--r--system/fusesmb/slack-desc17
3 files changed, 49 insertions, 13 deletions
diff --git a/system/fusesmb/fusesmb.SlackBuild b/system/fusesmb/fusesmb.SlackBuild
index 3751a931e6..1ecf8585e8 100644
--- a/system/fusesmb/fusesmb.SlackBuild
+++ b/system/fusesmb/fusesmb.SlackBuild
@@ -2,12 +2,30 @@
# Slackware build script for fusesmb
-# Written by Murat D. Kadirov <banderols@gmail.com>
+# Copyright 2008-2009 Murat D. Kadirov <banderols@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=fusesmb
VERSION=${VERSION:-0.8.7}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -17,10 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ APPROVED=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ APPROVED=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ APPROVED="64"
fi
set -e
@@ -42,16 +63,20 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -60,11 +85,13 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL README TODO fusesmb.conf.ex $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL README TODO fusesmb.conf.ex \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/fusesmb/fusesmb.info b/system/fusesmb/fusesmb.info
index a32f12492e..74124063e7 100644
--- a/system/fusesmb/fusesmb.info
+++ b/system/fusesmb/fusesmb.info
@@ -3,6 +3,8 @@ VERSION="0.8.7"
HOMEPAGE="http://www.ricardis.tudelft.nl/~vincent/fusesmb/"
DOWNLOAD="http://www.ricardis.tudelft.nl/~vincent/fusesmb/download/fusesmb-0.8.7.tar.gz"
MD5SUM="ff5adc291b18fd452fe4694cbe45dabd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Murat D. Kadirov"
EMAIL="banderols@gmail.com"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero"
diff --git a/system/fusesmb/slack-desc b/system/fusesmb/slack-desc
index f361908419..7f79626a0f 100644
--- a/system/fusesmb/slack-desc
+++ b/system/fusesmb/slack-desc
@@ -1,12 +1,19 @@
- |-----handy-ruler--------------------------------------------------|
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
fusesmb: fusesmb (fuse smb plugin)
fusesmb:
fusesmb: With SMB for Fuse you can seamlessly browse your network
fusesmb: neighbourhood as were it on your own filesystem.
-fusesmb:
-fusesmb:
+fusesmb:
+fusesmb: Homepage: http://www.ricardis.tudelft.nl/~vincent/fusesmb/
+fusesmb:
+fusesmb:
fusesmb:
fusesmb:
-fusesmb:
fusesmb:
-fusesmb: